import { JavaObject } from '../../../java/lang/JavaObject';
import { ENMBKFach } from '../../../core/data/enm/ENMBKFach';
import { Vector } from '../../../java/util/Vector';
export declare class ENMBKAbschluss extends JavaObject {
    hatZulassung: boolean;
    hatBestanden: boolean;
    hatZulassungErweiterteBeruflicheKenntnisse: boolean;
    hatErworbenErweiterteBeruflicheKenntnisse: boolean;
    notePraktischePruefung: String | null;
    noteKolloqium: String | null;
    hatZulassungBerufsabschlusspruefung: boolean;
    hatBestandenBerufsabschlusspruefung: boolean;
    themaAbschlussarbeit: String | null;
    istVorhandenBerufsabschlusspruefung: boolean;
    noteFachpraxis: String | null;
    istFachpraktischerTeilAusreichend: boolean;
    faecher: Vector<ENMBKFach>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMBKAbschluss;
    static transpilerToJSON(obj: ENMBKAbschluss): string;
    static transpilerToJSONPatch(obj: Partial<ENMBKAbschluss>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMBKAbschluss(obj: unknown): ENMBKAbschluss;
